Byte Order Utilities

## Detailed Description

## Data Structures

union | dconv
union | fconv

## Typedefs

typedef UInt32 | CFSwappedFloat32
typedef UInt64 | CFSwappedFloat64

## Functions

UInt16 | CFSwapInt16 (UInt16 in)
UInt32 | CFSwapInt32 (UInt32 in)
UInt64 | CFSwapInt64 (UInt64 in)
UInt16 | CFSwapInt16BigToHost (UInt16 in)
UInt16 | CFSwapInt16HostToBig (UInt16 in)
UInt16 | CFSwapInt16HostToLittle (UInt16 in)
UInt16 | CFSwapInt16LittleToHost (UInt16 in)
UInt32 | CFSwapInt32BigToHost (UInt32 in)
UInt32 | CFSwapInt32HostToBig (UInt32 in)
UInt32 | CFSwapInt32HostToLittle (UInt32 in)
UInt32 | CFSwapInt32LittleToHost (UInt32 in)
UInt64 | CFSwapInt64BigToHost (UInt64 in)
UInt64 | CFSwapInt64HostToBig (UInt64 in)
UInt64 | CFSwapInt64HostToLittle (UInt64 in)
UInt64 | CFSwapInt64LittleToHost (UInt64 in)

## Byte Order Flags

Flags that identify the system's byte order.
enum | CFByteOrder { CFByteOrderUnknown , CFByteOrderLittleEndian , CFByteOrderBigEndian }

## Host System Information

CFByteOrder | CFByteOrderGetCurrent ()

## Floating Point Function

CFSwappedFloat64 | CFConvertFloat64HostToSwapped (Float64 in)
Float64 | CFConvertFloat64SwappedToHost (CFSwappedFloat64 in)
CFSwappedFloat64 | CFConvertDoubleHostToSwapped (double in)
double | CFConvertDoubleSwappedToHost (CFSwappedFloat64 in)
CFSwappedFloat32 | CFConvertFloat32HostToSwapped (Float32 in)
Float32 | CFConvertFloat32SwappedToHost (CFSwappedFloat32 in)
CFSwappedFloat32 | CFConvertFloatHostToSwapped (float in)
float | CFConvertFloatSwappedToHost (CFSwappedFloat32 in)

## Data Structure Documentation

## dconv

union dconv

## fconv

union fconv

## Enumeration Type Documentation

## CFByteOrder

enum CFByteOrder

Enumerator
CFByteOrderUnknown | Unknown byte order.
CFByteOrderLittleEndian | Specifies that multi-byte values are stored least-significant byte first.
CFByteOrderBigEndian | Specifies that multi-byte values are stored most-significant byte first.

## Function Documentation

## CFByteOrderGetCurrent()

CFByteOrder CFByteOrderGetCurrent | ( |  | ) |

Find the byte order of the host computer.

Returns
  The byte order of the host system.

See also
  CFByteOrder